Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.web.bind
Class RequestUtils

    java.lang.Object
      org.springframework.web.bind.RequestUtils

Deprecated. as of Spring 2.0: use ServletRequestUtils instead

    public abstract class RequestUtils

extends Object

Parameter extraction methods, for an approach distinct from data binding, in which parameters of specific types are required.

This approach is very useful for simple submissions, where binding request parameters to a command object would be overkill.

Author:
  Rod Johnson, Juergen Hoeller, Keith Donald
See Also:
  `ServletRequestUtils`

Constructor Summary
`RequestUtils()` Deprecated.

Method Summary
`static Boolean` | `getBooleanParameter(HttpServletRequest request, String name)` Deprecated. Get a Boolean parameter, or `null` if not present.
`static boolean` | `getBooleanParameter(HttpServletRequest request, String name, boolean defaultVal)` Deprecated. Get a boolean parameter, with a fallback value.
`static boolean[]` | `getBooleanParameters(HttpServletRequest request, String name)` Deprecated. Get an array of boolean parameters, return an empty array if not found.
`static Double` | `getDoubleParameter(HttpServletRequest request, String name)` Deprecated. Get a Double parameter, or `null` if not present.
`static double` | `getDoubleParameter(HttpServletRequest request, String name, double defaultVal)` Deprecated. Get a double parameter, with a fallback value.
`static double[]` | `getDoubleParameters(HttpServletRequest request, String name)` Deprecated. Get an array of double parameters, return an empty array if not found.
`static Float` | `getFloatParameter(HttpServletRequest request, String name)` Deprecated. Get a Float parameter, or `null` if not present.
`static float` | `getFloatParameter(HttpServletRequest request, String name, float defaultVal)` Deprecated. Get a float parameter, with a fallback value.
`static float[]` | `getFloatParameters(HttpServletRequest request, String name)` Deprecated. Get an array of float parameters, return an empty array if not found.
`static Integer` | `getIntParameter(HttpServletRequest request, String name)` Deprecated. Get an Integer parameter, or `null` if not present.
`static int` | `getIntParameter(HttpServletRequest request, String name, int defaultVal)` Deprecated. Get an int parameter, with a fallback value.
`static int[]` | `getIntParameters(HttpServletRequest request, String name)` Deprecated. Get an array of int parameters, return an empty array if not found.
`static Long` | `getLongParameter(HttpServletRequest request, String name)` Deprecated. Get a Long parameter, or `null` if not present.
`static long` | `getLongParameter(HttpServletRequest request, String name, long defaultVal)` Deprecated. Get a long parameter, with a fallback value.
`static long[]` | `getLongParameters(HttpServletRequest request, String name)` Deprecated. Get an array of long parameters, return an empty array if not found.
`static boolean` | `getRequiredBooleanParameter(HttpServletRequest request, String name)` Deprecated. Get a boolean parameter, throwing an exception if it isn't found or isn't a boolean.
`static boolean[]` | `getRequiredBooleanParameters(HttpServletRequest request, String name)` Deprecated. Get an array of boolean parameters, throwing an exception if not found or one isn't a boolean.
`static double` | `getRequiredDoubleParameter(HttpServletRequest request, String name)` Deprecated. Get a double parameter, throwing an exception if it isn't found or isn't a number.
`static double[]` | `getRequiredDoubleParameters(HttpServletRequest request, String name)` Deprecated. Get an array of double parameters, throwing an exception if not found or one is not a number.
`static float` | `getRequiredFloatParameter(HttpServletRequest request, String name)` Deprecated. Get a float parameter, throwing an exception if it isn't found or isn't a number.
`static float[]` | `getRequiredFloatParameters(HttpServletRequest request, String name)` Deprecated. Get an array of float parameters, throwing an exception if not found or one is not a number.
`static int` | `getRequiredIntParameter(HttpServletRequest request, String name)` Deprecated. Get an int parameter, throwing an exception if it isn't found or isn't a number.
`static int[]` | `getRequiredIntParameters(HttpServletRequest request, String name)` Deprecated. Get an array of int parameters, throwing an exception if not found or one is not a number..
`static long` | `getRequiredLongParameter(HttpServletRequest request, String name)` Deprecated. Get a long parameter, throwing an exception if it isn't found or isn't a number.
`static long[]` | `getRequiredLongParameters(HttpServletRequest request, String name)` Deprecated. Get an array of long parameters, throwing an exception if not found or one is not a number.
`static String` | `getRequiredStringParameter(HttpServletRequest request, String name)` Deprecated. Get a String parameter, throwing an exception if it isn't found or is empty.
`static String[]` | `getRequiredStringParameters(HttpServletRequest request, String name)` Deprecated. Get an array of String parameters, throwing an exception if not found or one is empty.
`static String` | `getStringParameter(HttpServletRequest request, String name)` Deprecated. Get a String parameter, or `null` if not present.
`static String` | `getStringParameter(HttpServletRequest request, String name, String defaultVal)` Deprecated. Get a String parameter, with a fallback value.
`static String[]` | `getStringParameters(HttpServletRequest request, String name)` Deprecated. Get an array of String parameters, return an empty array if not found.
`static void` | `rejectRequestMethod(HttpServletRequest request, String method)` Deprecated. Throw a ServletException if the given HTTP request method should be rejected.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RequestUtils

    public RequestUtils()

  Deprecated.

Method Detail

### rejectRequestMethod

    public static void rejectRequestMethod(HttpServletRequest request,
                                           String method)
                                    throws ServletException

  Deprecated.
  Throw a ServletException if the given HTTP request method should be rejected.

  Parameters:
    `request` - request to check
    `method` - method (such as "GET") which should be rejected
  Throws:
    `ServletException` - if the given HTTP request is rejected

### getIntParameter

    public static Integer getIntParameter(HttpServletRequest request,
                                          String name)
                                   throws ServletRequestBindingException

  Deprecated.
  Get an Integer parameter, or `null` if not present. Throws an exception if it the parameter value isn't a number.

  Parameters:
    `request` - current HTTP request
    `name` - the name of the parameter
  Returns:
    the Integer value, or `null` if not present
  Throws:
    `ServletRequestBindingException` - a subclass of ServletException, so it doesn't need to be caught

### getIntParameter

    public static int getIntParameter(HttpServletRequest request,
                                      String name,
                                      int defaultVal)

  Deprecated.
  Get an int parameter, with a fallback value. Never throws an exception. Can pass a distinguished value as default to enable checks of whether it was supplied.

  Parameters:
    `request` - current HTTP request
    `name` - the name of the parameter
    `defaultVal` - the default value to use as fallback

### getIntParameters

    public static int[] getIntParameters(HttpServletRequest request,
                                         String name)

  Deprecated.
  Get an array of int parameters, return an empty array if not found.

  Parameters:
    `request` - current HTTP request
    `name` - the name of the parameter with multiple possible values

### getRequiredIntParameter

    public static int getRequiredIntParameter(HttpServletRequest request,
                                              String name)
                                       throws ServletRequestBindingException

  Deprecated.
  Get an int parameter, throwing an exception if it isn't found or isn't a number.

  Parameters:
    `request` - current HTTP request
    `name` - the name of the parameter
  Throws:
    `ServletRequestBindingException` - a subclass of ServletException, so it doesn't need to be caught

### getRequiredIntParameters

    public static int[] getRequiredIntParameters(HttpServletRequest request,
                                                 String name)
                                          throws ServletRequestBindingException

  Deprecated.
  Get an array of int parameters, throwing an exception if not found or one is not a number..

  Parameters:
    `request` - current HTTP request
    `name` - the name of the parameter with multiple possible values
  Throws:
    `ServletRequestBindingException` - a subclass of ServletException, so it doesn't need to be caught

### getLongParameter

    public static Long getLongParameter(HttpServletRequest request,
                                        String name)
                                 throws ServletRequestBindingException

  Deprecated.
  Get a Long parameter, or `null` if not present. Throws an exception if it the parameter value isn't a number.

  Parameters:
    `request` - current HTTP request
    `name` - the name of the parameter
  Returns:
    the Long value, or `null` if not present
  Throws:
    `ServletRequestBindingException` - a subclass of ServletException, so it doesn't need to be caught

### getLongParameter

    public static long getLongParameter(HttpServletRequest request,
                                        String name,
                                        long defaultVal)

  Deprecated.
  Get a long parameter, with a fallback value. Never throws an exception. Can pass a distinguished value as default to enable checks of whether it was supplied.

  Parameters:
    `request` - current HTTP request
    `name` - the name of the parameter
    `defaultVal` - the default value to use as fallback

### getLongParameters

    public static long[] getLongParameters(HttpServletRequest request,
                                           String name)

  Deprecated.
  Get an array of long parameters, return an empty array if not found.

  Parameters:
    `request` - current HTTP request
    `name` - the name of the parameter with multiple possible values

### getRequiredLongParameter

    public static long getRequiredLongParameter(HttpServletRequest request,
                                                String name)
                                         throws ServletRequestBindingException

  Deprecated.
  Get a long parameter, throwing an exception if it isn't found or isn't a number.

  Parameters:
    `request` - current HTTP request
    `name` - the name of the parameter
  Throws:
    `ServletRequestBindingException` - a subclass of ServletException, so it doesn't need to be caught

### getRequiredLongParameters

    public static long[] getRequiredLongParameters(HttpServletRequest request,
                                                   String name)
                                            throws ServletRequestBindingException

  Deprecated.
  Get an array of long parameters, throwing an exception if not found or one is not a number.

  Parameters:
    `request` - current HTTP request
    `name` - the name of the parameter with multiple possible values
  Throws:
    `ServletRequestBindingException` - a subclass of ServletException, so it doesn't need to be caught

### getFloatParameter

    public static Float getFloatParameter(HttpServletRequest request,
                                          String name)
                                   throws ServletRequestBindingException

  Deprecated.
  Get a Float parameter, or `null` if not present. Throws an exception if it the parameter value isn't a number.

  Parameters:
    `request` - current HTTP request
    `name` - the name of the parameter
  Returns:
    the Float value, or `null` if not present
  Throws:
    `ServletRequestBindingException` - a subclass of ServletException, so it doesn't need to be caught

### getFloatParameter

    public static float getFloatParameter(HttpServletRequest request,
                                          String name,
                                          float defaultVal)

  Deprecated.
  Get a float parameter, with a fallback value. Never throws an exception. Can pass a distinguished value as default to enable checks of whether it was supplied.

  Parameters:
    `request` - current HTTP request
    `name` - the name of the parameter
    `defaultVal` - the default value to use as fallback

### getFloatParameters

    public static float[] getFloatParameters(HttpServletRequest request,
                                             String name)

  Deprecated.
  Get an array of float parameters, return an empty array if not found.

  Parameters:
    `request` - current HTTP request
    `name` - the name of the parameter with multiple possible values

### getRequiredFloatParameter

    public static float getRequiredFloatParameter(HttpServletRequest request,
                                                  String name)
                                           throws ServletRequestBindingException

  Deprecated.
  Get a float parameter, throwing an exception if it isn't found or isn't a number.

  Parameters:
    `request` - current HTTP request
    `name` - the name of the parameter
  Throws:
    `ServletRequestBindingException` - a subclass of ServletException, so it doesn't need to be caught

### getRequiredFloatParameters

    public static float[] getRequiredFloatParameters(HttpServletRequest request,
                                                     String name)
                                              throws ServletRequestBindingException

  Deprecated.
  Get an array of float parameters, throwing an exception if not found or one is not a number.

  Parameters:
    `request` - current HTTP request
    `name` - the name of the parameter with multiple possible values
  Throws:
    `ServletRequestBindingException` - a subclass of ServletException, so it doesn't need to be caught

### getDoubleParameter

    public static Double getDoubleParameter(HttpServletRequest request,
                                            String name)
                                     throws ServletRequestBindingException

  Deprecated.
  Get a Double parameter, or `null` if not present. Throws an exception if it the parameter value isn't a number.

  Parameters:
    `request` - current HTTP request
    `name` - the name of the parameter
  Returns:
    the Double value, or `null` if not present
  Throws:
    `ServletRequestBindingException` - a subclass of ServletException, so it doesn't need to be caught

### getDoubleParameter

    public static double getDoubleParameter(HttpServletRequest request,
                                            String name,
                                            double defaultVal)

  Deprecated.
  Get a double parameter, with a fallback value. Never throws an exception. Can pass a distinguished value as default to enable checks of whether it was supplied.

  Parameters:
    `request` - current HTTP request
    `name` - the name of the parameter
    `defaultVal` - the default value to use as fallback

### getDoubleParameters

    public static double[] getDoubleParameters(HttpServletRequest request,
                                               String name)

  Deprecated.
  Get an array of double parameters, return an empty array if not found.

  Parameters:
    `request` - current HTTP request
    `name` - the name of the parameter with multiple possible values

### getRequiredDoubleParameter

    public static double getRequiredDoubleParameter(HttpServletRequest request,
                                                    String name)
                                             throws ServletRequestBindingException

  Deprecated.
  Get a double parameter, throwing an exception if it isn't found or isn't a number.

  Parameters:
    `request` - current HTTP request
    `name` - the name of the parameter
  Throws:
    `ServletRequestBindingException` - a subclass of ServletException, so it doesn't need to be caught

### getRequiredDoubleParameters

    public static double[] getRequiredDoubleParameters(HttpServletRequest request,
                                                       String name)
                                                throws ServletRequestBindingException

  Deprecated.
  Get an array of double parameters, throwing an exception if not found or one is not a number.

  Parameters:
    `request` - current HTTP request
    `name` - the name of the parameter with multiple possible values
  Throws:
    `ServletRequestBindingException` - a subclass of ServletException, so it doesn't need to be caught

### getBooleanParameter

    public static Boolean getBooleanParameter(HttpServletRequest request,
                                              String name)
                                       throws ServletRequestBindingException

  Deprecated.
  Get a Boolean parameter, or `null` if not present. Throws an exception if it the parameter value isn't a boolean.

  Accepts "true", "on", "yes" (any case) and "1" as values for true; treats every other non-empty value as false (i.e. parses leniently).

  Parameters:
    `request` - current HTTP request
    `name` - the name of the parameter
  Returns:
    the Boolean value, or `null` if not present
  Throws:
    `ServletRequestBindingException` - a subclass of ServletException, so it doesn't need to be caught

### getBooleanParameter

    public static boolean getBooleanParameter(HttpServletRequest request,
                                              String name,
                                              boolean defaultVal)

  Deprecated.
  Get a boolean parameter, with a fallback value. Never throws an exception. Can pass a distinguished value as default to enable checks of whether it was supplied.

  Accepts "true", "on", "yes" (any case) and "1" as values for true; treats every other non-empty value as false (i.e. parses leniently).

  Parameters:
    `request` - current HTTP request
    `name` - the name of the parameter
    `defaultVal` - the default value to use as fallback

### getBooleanParameters

    public static boolean[] getBooleanParameters(HttpServletRequest request,
                                                 String name)

  Deprecated.
  Get an array of boolean parameters, return an empty array if not found.

  Accepts "true", "on", "yes" (any case) and "1" as values for true; treats every other non-empty value as false (i.e. parses leniently).

  Parameters:
    `request` - current HTTP request
    `name` - the name of the parameter with multiple possible values

### getRequiredBooleanParameter

    public static boolean getRequiredBooleanParameter(HttpServletRequest request,
                                                      String name)
                                               throws ServletRequestBindingException

  Deprecated.
  Get a boolean parameter, throwing an exception if it isn't found or isn't a boolean.

  Accepts "true", "on", "yes" (any case) and "1" as values for true; treats every other non-empty value as false (i.e. parses leniently).

  Parameters:
    `request` - current HTTP request
    `name` - the name of the parameter
  Throws:
    `ServletRequestBindingException` - a subclass of ServletException, so it doesn't need to be caught

### getRequiredBooleanParameters

    public static boolean[] getRequiredBooleanParameters(HttpServletRequest request,
                                                         String name)
                                                  throws ServletRequestBindingException

  Deprecated.
  Get an array of boolean parameters, throwing an exception if not found or one isn't a boolean.

  Accepts "true", "on", "yes" (any case) and "1" as values for true; treats every other non-empty value as false (i.e. parses leniently).

  Parameters:
    `request` - current HTTP request
    `name` - the name of the parameter
  Throws:
    `ServletRequestBindingException` - a subclass of ServletException, so it doesn't need to be caught

### getStringParameter

    public static String getStringParameter(HttpServletRequest request,
                                            String name)
                                     throws ServletRequestBindingException

  Deprecated.
  Get a String parameter, or `null` if not present. Throws an exception if it the parameter value is empty.

  Parameters:
    `request` - current HTTP request
    `name` - the name of the parameter
  Returns:
    the String value, or `null` if not present
  Throws:
    `ServletRequestBindingException` - a subclass of ServletException, so it doesn't need to be caught

### getStringParameter

    public static String getStringParameter(HttpServletRequest request,
                                            String name,
                                            String defaultVal)

  Deprecated.
  Get a String parameter, with a fallback value. Never throws an exception. Can pass a distinguished value to default to enable checks of whether it was supplied.

  Parameters:
    `request` - current HTTP request
    `name` - the name of the parameter
    `defaultVal` - the default value to use as fallback

### getStringParameters

    public static String[] getStringParameters(HttpServletRequest request,
                                               String name)

  Deprecated.
  Get an array of String parameters, return an empty array if not found.

  Parameters:
    `request` - current HTTP request
    `name` - the name of the parameter with multiple possible values

### getRequiredStringParameter

    public static String getRequiredStringParameter(HttpServletRequest request,
                                                    String name)
                                             throws ServletRequestBindingException

  Deprecated.
  Get a String parameter, throwing an exception if it isn't found or is empty.

  Parameters:
    `request` - current HTTP request
    `name` - the name of the parameter
  Throws:
    `ServletRequestBindingException` - a subclass of ServletException, so it doesn't need to be caught

### getRequiredStringParameters

    public static String[] getRequiredStringParameters(HttpServletRequest request,
                                                       String name)
                                                throws ServletRequestBindingException

  Deprecated.
  Get an array of String parameters, throwing an exception if not found or one is empty.

  Parameters:
    `request` - current HTTP request
    `name` - the name of the parameter
  Throws:
    `ServletRequestBindingException` - a subclass of ServletException, so it doesn't need to be caught

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2008 The Spring Framework.